Image::ExifTool::Import(3)

NAME
Image::ExifTool::Import - Import CSV and JSON database files

SYNOPSIS
    use Image::ExifTool::Import qw(ReadCSV ReadJSON);

    $err = ReadCSV($csvFile, \%database);

    $err = ReadJSON($jsonfile, \%database);

DESCRIPTION
This module contains routines for importing tag information from CSV (Comma Separated Value) and JSON (JavaScript Object Notation) database files.

EXPORTS
Exports nothing by default, but ReadCSV and ReadJSON may be exported.

METHODS

  ReadCSV / ReadJSON
Read CSV or JSON file into a database hash.

Inputs:
    0) CSV file name.

    1) Hash reference for database object.

    2) Optional string used to represent an undefined (missing) tag value. (Used for deleting tags.)

    3) [ReadJSON only] Optional character set for converting Unicode escape sequences in strings. Defaults to "UTF8". See the ExifTool Charset option for a list of valid settings.

Return Value:
    These functions return an error string, or undef on success and populate the database hash with entries from the CSV or JSON file. Entries are keyed based on the SourceFile column of the CSV or JSON information, and are stored as hash lookups of tag name/value for each SourceFile.

AUTHOR
Copyright 2003-2014, Phil Harvey (phil at owl.phy.queensu.ca)

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Image::ExifTool(3pm)